List Deposit Transactions for Account
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"id": "9cd9f4d4-078b-4e44-a308-7662fec0f546",
"receivedAssets": [
{
"quantity": "1.0",
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500"
}
],
"transactionTime": "2022-07-30T22:15:31.99999Z",
"externalId": "9be748be-d760-4d36-90f8-86b699c4e8bd"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List deposit transactions for account
List deposit transactions for a tax account.
GET
/
tax
/
accounts
/
{accountId}
/
transactions
List Deposit Transactions for Account
curl --request GET \
--url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"id": "9cd9f4d4-078b-4e44-a308-7662fec0f546",
"receivedAssets": [
{
"quantity": "1.0",
"acquisitionDatetime": "2023-11-07T05:31:56Z",
"costBasis": "2500"
}
],
"transactionTime": "2022-07-30T22:15:31.99999Z",
"externalId": "9be748be-d760-4d36-90f8-86b699c4e8bd"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The ID of the tax account
Query Parameters
Maximum number of results to return per query
Required range:
1 <= x <= 100When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Filter deposit transactions by cost basis presence. Set to true to return only transactions with cost basis, false for transactions without cost basis, or omit to return all transactions regardless of cost basis.
Was this page helpful?